Subject: Re: bug#18514: 24.3; vc-dir sometimes guesses the wrong backend

From: Barry Warsaw <[email-masked]>
Date: Sun, 21 Sep 2014 18:00:53 -0400

On Sep 21, 2014, at 05:48 PM, Stefan Monnier wrote:

>You can skip the "bzr init-repo bzrinitrepo" part since it doesn't make
>any difference.

Right, that was just for illustration.  I had spoken to someone who thought
that maybe vc-dir wasn't handling bzr shared repo directories correctly.

>Patch welcome.  In the mean: don't nest projects in each other if they
>use the same backend.

That won't be possible for me, since my $HOME is under bzr, and project
subdirs under that are of various vcses (including bzr, git, hg, and svn).

>Or try to make sure the inner VCS always comes before the outer one in
>vc-handled-backends.

Is it possible to force vc-dir to use a specific vcs on invocation, or to
change vc-dir's backend after the fact?

If this bugs me enough, I'll take a crack at a workaround/fix.